classification
Title: [doc] Clarify ResourceWarning documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, edmorley, hugovk, iritkatriel, miss-islington, ncoghlan
Priority: normal Keywords: easy, patch

Created on 2018-04-09 22:13 by edmorley, last changed 2022-01-04 12:04 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 30358 merged hugovk, 2022-01-03 14:59
PR 30395 merged miss-islington, 2022-01-04 11:34
PR 30396 merged miss-islington, 2022-01-04 11:34
Messages (6)
msg315153 - (view) Author: Ed Morley (edmorley) * Date: 2018-04-09 22:13
The `ResourceWarning` warning has always been ignored by default, since it was added in Python 3.2 in:
https://github.com/python/cpython/commit/08be72d0aa0112118b79d271479598c218adfd23#diff-db4e2b9efea108a38c53e06fa99cdd77R391

However there are several places in the docs where the "ignored by default" aspect is not mentioned even though it is for `DeprecationWarning` and similar - which caused me quite a bit of confusion today.

The docs were partly improved in Python 3.7 onwards by:
https://github.com/python/cpython/commit/9b99747386b690007027c3be2a5d7cfe3d3634f5

...however:
(a) there is still at least one place that still needs updating on master (https://docs.python.org/3.8/library/warnings.html#warning-categories)
(b) it would be good to backport the docs fixes to 3.4/3.5/3.6 (I was looking at the 3.6 docs today)

I'm happy to open PRs to fix this; but filing this issue so I have something to reference.
msg315191 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-04-11 13:51
+1 from me for further ResourceWarning docs improvements - my focus when working on PEP 565 was the actual change in how DeprecationWarning was being handled, and the other warnings doc improvements were just a necessary prerequisite for being able to convey that clearly.

The backport to 3.6 may or may not be worthwhile, depending on how much work it proves to be in practice (while those will still be the default online docs for the next couple of months, the 3.7 branch will take their place once 3.7.0 is officially released).

We wouldn't backport docs changes to 3.4 or 3.5, as both of those branches are already in security-fix-only mode.
msg407411 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-11-30 23:37
It's too late for (b) but (a) still needs to be done.
msg409671 - (view) Author: miss-islington (miss-islington) Date: 2022-01-04 11:35
New changeset b949845b36b999185ed2bdf8a04dca1da39f3002 by Hugo van Kemenade in branch 'main':
bpo-33252: Document that ResourceWarning is ignored by default (GH-30358)
https://github.com/python/cpython/commit/b949845b36b999185ed2bdf8a04dca1da39f3002
msg409673 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-01-04 12:03
New changeset 01b12942d0ba2fd3c2efdfb796e8816efc607ee7 by Miss Islington (bot) in branch '3.10':
bpo-33252: Document that ResourceWarning is ignored by default (GH-30358) (GH-30395)
https://github.com/python/cpython/commit/01b12942d0ba2fd3c2efdfb796e8816efc607ee7
msg409674 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2022-01-04 12:04
New changeset 8f082e2bf43c1367e30d00874267dd25f7256cd0 by Miss Islington (bot) in branch '3.9':
bpo-33252: Document that ResourceWarning is ignored by default (GH-30358) (GH-30396)
https://github.com/python/cpython/commit/8f082e2bf43c1367e30d00874267dd25f7256cd0
History
Date User Action Args
2022-01-04 12:04:28iritkatrielsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2022-01-04 12:04:02iritkatrielsetmessages: + msg409674
2022-01-04 12:03:43iritkatrielsetmessages: + msg409673
2022-01-04 11:35:05miss-islingtonsetmessages: + msg409671
2022-01-04 11:34:44miss-islingtonsetpull_requests: + pull_request28605
2022-01-04 11:34:40miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request28604
2022-01-03 14:59:12hugovksetkeywords: + patch
nosy: + hugovk

pull_requests: + pull_request28572
stage: patch review
2021-11-30 23:37:41iritkatrielsetnosy: + iritkatriel
versions: + Python 3.9, Python 3.10, Python 3.11, - Python 3.4, Python 3.5, Python 3.6, Python 3.7, Python 3.8
messages: + msg407411

keywords: + easy
title: Clarify ResourceWarning documentation -> [doc] Clarify ResourceWarning documentation
2018-04-11 13:51:58ncoghlansetmessages: + msg315191
2018-04-10 14:38:43ned.deilysetnosy: + ncoghlan
2018-04-09 22:13:44edmorleycreate